/// <reference types="node" />
import { RequestInit } from 'node-fetch';
import * as Types from './types';
export declare class ResponseError extends Error {
    code: number;
    body: any;
    constructor(code: number, text: string, body?: any);
}
declare type Options = RequestInit & Types.ReadOptions;
export declare function read(path: string, options?: Options): Promise<Buffer>;
export declare function createReadStream(path: string, options?: Options): Promise<NodeJS.ReadableStream>;
export declare function readJson(path: string, options?: Options): Promise<any>;
export declare function readText(path: string, options?: Options): Promise<string>;
export declare function create(protocol: 'http' | 'https'): {
    read: (path: string, options?: Options | undefined) => Promise<Buffer>;
    createReadStream: (path: string, options?: Options | undefined) => Promise<NodeJS.ReadableStream>;
};
export {};
//# sourceMappingURL=http.d.ts.map